Subject: bug#69691: 30.0.50; vc-pull buffer doesn't fontify links after refresh

From: Dmitry Gutov <[email-masked]>
Date: Fri, 15 Mar 2024 04:06:23 +0200

On 10/03/2024 05:35, Po Lu via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> New VCS output inserted after the compilation buffer created by a
> `vc-pull' command is refreshed (by selecting "refresh" from tool bar,

You probably mean "Recompile".

> for instance) is not fontified as such but as ordinary compiler output,
> and file names inside are not clickable.  This is a bug, since no
> compelling reason exists to treat VCS commands as compilers once they
> are executed a second time.

I guess some specific provision for restoring more of the variables 
after "recompile" could be made inside vc-compilation-mode's definition.

Maybe it'll have to go as far as defining a separate major mode and its 
own "recompile" command with a dedicated binding, since it doesn't seem 
like 'M-x recompile' runs anything generic that would help us here.